Package com.complexible.common.rdf.query

# Class ImmutableEdge

java.lang.Object
com.complexible.common.rdf.query.ImmutableEdge

All Implemented Interfaces:
  `Edge`

public class ImmutableEdge extends Object implements Edge
An immutable implementation of `Edge`

Since:
  5.0.4
Version:
  6.0
Author:
  Evren Sirin

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImmutableEdge(String theStartVar, String theEndVar, BindingSet theBindings)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `BindingSet`
  `getBindings()`
  Returns the bindings for the edge.
  `Value`
  `getEnd()`
  Returns the end node of the edge.
  `Value`
  `getStart()`
  Returns the start node of the edge.
  `Value`
  `getWeight()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImmutableEdge

    public ImmutableEdge(String theStartVar, String theEndVar, BindingSet theBindings)

- ## Method Details

  - ### getStart

    public Value getStart()
    Description copied from interface: `Edge`
    Returns the start node of the edge. Equivalent to `getBindings().getValue(getStartVar())`.
    Specified by:
      `getStart` in interface `Edge`
    Returns:
      the start node of the edge

  - ### getEnd

    public Value getEnd()
    Description copied from interface: `Edge`
    Returns the end node of the edge. Equivalent to `getBindings().getValue(getEndVar())`.
    Specified by:
      `getEnd` in interface `Edge`
    Returns:
      the end node of the edge

  - ### getBindings

    public BindingSet getBindings()
    Description copied from interface: `Edge`
    Returns the bindings for the edge.
    Specified by:
      `getBindings` in interface `Edge`
    Returns:
      the bindings for the edge.

  - ### getWeight

    public Value getWeight()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`